javax.validation

## Interface ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeContextBuilder

- Enclosing interface:
    ConstraintValidatorContext.ConstraintViolationBuilder

      public static interface ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeContextBuilder

  Represents refinement choices for a node which is in an `Iterator` or `Map`.

  If the iterator is an indexed collection or a map, the index or the key should be set.

  The node is a leaf node (i.e. no subnode can be added).
  Since:
    1.1

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConstraintValidatorContext` | `addConstraintViolation()` Adds the new `ConstraintViolation` to be generated if the constraint validator mark the value as invalid.
    `ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderDefinedContext` | `atIndex(Integer index)` Defines the index the object is into the `List` or array
    `ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderDefinedContext` | `atKey(Object key)` Defines the key the object is into the `Map`.

- - ### Method Detail

    - #### atKey

          ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderDefinedContext atKey(Object key)

      Defines the key the object is into the `Map`.
      Parameters:
        `key` - map key
      Returns:
        a builder representing the current node

    - #### atIndex

          ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderDefinedContext atIndex(Integer index)

      Defines the index the object is into the `List` or array
      Parameters:
        `index` - index
      Returns:
        a builder representing the current node

    - #### addConstraintViolation

          ConstraintValidatorContext addConstraintViolation()

      Adds the new `ConstraintViolation` to be generated if the constraint validator mark the value as invalid.

      Methods of the `ConstraintViolationBuilder` instance this object comes from and the constraint violation builder nested objects throw `IllegalStateException` after this call.
      Returns:
        `ConstraintValidatorContext` instance the `ConstraintViolationBuilder` comes from

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.